#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <boost/asio.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>

#include <QMainWindow>
#include <QString>
#include <QThread>


namespace Ui {
class MainWindow;
}


class MyThread;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void Update();

private:
    Ui::MainWindow *ui;
    MyThread *m_timer;
    int m_state;
};


class MyThread : public QThread
{
    Q_OBJECT

public:
    MyThread(MainWindow *parent = NULL);

signals:
    void PleaseUpdate();

private:
    void run();
};


#endif // MAINWINDOW_H
